# A Taste of QuteBrowser

After some deliberation I finally tried out [Qutebrowser](https://www.qutebrowser.org/) and after spending some quality time with the browser and its quirks I can confidently say, that this will probably be my new main browser.

Coming from Chromium on Linux and Chrome on Windows I'm more than aware of what a """"""botnet"""""" browser is like, but that the same time I like Chromium/Chrome.
Part of it is that there is support for those browser pretty much everywhere you go, sites use the *newest* features which means you can realistically view all/most content without too much issue. 
What I'm trying to say is that those browsers get the good ole' stamp of [werks for me](../img/werks.png)

QuteBrowser is a bit different however because there is some setup involved but... *not really*. 

## Out of the box experience

Personally the only thing I did was change the default starting page for new windows and new tabs.
Which of course is my own personal /comfy/ start-page.

To be completely honest most/all functionality I could think of was handled by the keyboard completely, *exept for escaping from drop-down menus*.
For the escaping from dropdown menus however I came up with this:

```
"e":"fake-key <escape>"
```
Yes it's python and yes you should put that into your config for qutebrowser, but don't worry just type `:set` and it should be **the very first line** on the config editing page. 
Save it and then you're done the tweaks to make QuteBrowser usable and comfortable are 99% done. 
There's also plenty of potential for ricing if you're into that but tbh you really don't have to do much to get this browser to work.

## Main Gripes

> First of all why does 'J' move right and 'K' move right in the tabs!?!?!?
This one is easy to answer but the reasoning in my mind is uh..... pretty brainlet tier. 
How this """*supposedly*""" works: think of the tabs arranged like this 

```
---------
first
---------
second
---------
third
---------
```
Now realize that in vim 'J' moves down and 'K' moves up. 
Realize that you're not moving left and right along the tabs but up/down.

It's really simple but really stupid at the same time. 
Why not have 'H' and 'L' move ***LEFT*** and ***RIGHT*** instead of back and forth in the history. 

> ***ARE THOSE ADS?!?!?***

This is probably the deal breaker for a lot of people and honestly nearly is for me. 
Even though I primarily use QuteBrowser I refuse to get rid of Chromium since the Ad-pocolypse on the internet is just ridiculous. 
At the moment there is a host list that QuteBrowser uses to filter some stuff but don't expect it to do --much-- anything.
Once there is proper plugin support for things like U-Block or really *any real ad-blocker* then there will be no looking back to any other browser.

## Binding Cheat Sheet

There are plenty of binds but if you just read the docs then you should be fine. 

[Link to cheat sheet](https://raw.githubusercontent.com/qutebrowser/qutebrowser/master/doc/img/cheatsheet-big.png)

Don't try to learn every single binding because you'll just want to slam you head through your desk. 
Just learn what you need and consult the cheat sheet I link here. 
Download it and set it to some bind if you *really* need to learn all the binds possible. 

## Is it worth it tho?

Ya. It's a good browser, it's solid and besides a few minor hiccups it's very close to BTFO every other browser out there.

